    // the period
    .5::second => dur T;
    // synchronize to period (for on-the-fly synchronization)
    T - (now % T) => now;

    // our patch
    SinOsc s => JCRev r => dac;
    // initialize
    .15 => s.gain;
    .25 => r.mix;
       1 => int count;
    // scale (pentatonic; in semitones) \
    // This is the speend in scale. The speed is from 0 to 10, which maps the actual speed value from 0 to 1000
    [ 0, 0, 0, 0,0, 2, 2, 2, 2, 2, 0, 0, 0, 0,0, 4, 4, 4, 4, 4, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9,9, 9, 9, 9, 9 ] @=> int scale[];
    scale.size() => int length;
    // infinite time loop
    while( true )
    {
        <<<scale[count]>>>;
        (count + 1 )%length=> count;
        // pick something from the scale
        scale[ count] => float freq;
 //       scale[ Std.rand2(0,4) ] => float freq;
        // get the final freq
        Std.mtof( 60 + (Std.rand2(0,3)*3 + freq*Std.rand2(6,7)) ) => s.freq;
        // reset phase for extra bandwidth
        0 => s.phase;

        // advance time
        if( Std.randf() > -.5 ) .25::T => now;
        else .5::T => now;
    }
