
// this synchronizes to period
0.5::second => dur T;
T - (now % T) => now;

// construct the patch
SndBuf buf => Gain g => JCRev r => dac;
me.dir() + "data/snare.wav" => buf.read;
.60 => g.gain;
.02 => r.mix;

// where we actually want to start (in # of sample frames)
25 => int where;
1 => int count;
// This is the data for the battery information, 0 represents low battery and 1 represents charging 
[ 0, 0, 1, 1, 0, 1, 0, 1, 1,1,1] @=> int battery[];
battery.size() => int length;
// time loop
while( true )
{
    // randomize the gain a bit
    Math.random2f(.8,.9) => buf.gain;
    (count + 1 )%length=> count;
    // pick something from the scale
    battery[count] => float freq;
    // note: Math.randomf() returns value between 0 and 1
    if( freq > .5 )
    {
        0 => int i;
        while( i < 8 )
        {
            // gradually increase gain
            i / 8.0 => buf.gain;
            // set play position
            where => buf.pos;

            // advance time
            (1.0/8.0)::T => now;
            // increment loop counter
            i++;
        }

        while( i > 0 )
        {
            i / 8.0 => buf.gain;
            where => buf.pos;
            (1.0/8.0)::T => now;
            i--;
        }
    }
    else
    {
        .9 => buf.gain;
        where => buf.pos;
        .25::T => now;
        .3 => buf.gain;
        where => buf.pos;
        .25::T => now;
        .3 => buf.gain;
        where => buf.pos;
        .25::T => now;

        .9 => buf.gain;
        where => buf.pos;
        .25::T => now;
        .3 => buf.gain;
        where => buf.pos;
        .25::T => now;
        .3 => buf.gain;
        where => buf.pos;
        .25::T => now;

        .9 => buf.gain;
        where => buf.pos;
        .25::T => now;
        .3 => buf.gain;
        where => buf.pos;
        .25::T => now;
    }
}
